Object subclass: #Pelicula
	instanceVariableNames: 'nombre director notas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP0'!
!Pelicula commentStamp: '<historical>' prior: 0!
CLASE PELICULA!


!Pelicula methodsFor: 'as yet unclassified' stamp: 'Lucas 3/16/2018 16:00'!
puntajePromedio
	| aux i |
	aux:= 0.
	i := 0.
	notas do:[:elemento| aux:=aux+elemento.
								i := i+1.].
	(i = 0)ifFalse:[^aux/i]. 							
	^i! !

!Pelicula methodsFor: 'as yet unclassified' stamp: 'Lucas 3/16/2018 15:38'!
cantidadPuntajes
	| aux |
	aux:= 0.
	notas do:[:elemento| aux:=aux+1.].
	^aux		! !


!Pelicula methodsFor: 'adding' stamp: 'Lucas 3/16/2018 14:56'!
agregarPuntaje: a
	notas add: a.! !


!Pelicula methodsFor: 'accessing' stamp: 'Lucas 3/16/2018 14:49'!
notas
 ^notas.! !

!Pelicula methodsFor: 'accessing' stamp: 'Lucas 3/16/2018 15:38'!
puntajeAcumulado
	| aux |
	aux:= 0.
	notas do:[:elemento| aux:=aux+elemento.].
	^aux						! !

!Pelicula methodsFor: 'accessing' stamp: 'Lucas 3/16/2018 14:50'!
director
 ^director.! !

!Pelicula methodsFor: 'accessing' stamp: 'Lucas 3/16/2018 14:50'!
nombre
 ^nombre.! !


!Pelicula methodsFor: 'setter' stamp: 'Lucas 3/16/2018 14:55'!
ponerDirector: a
	director := a.
	! !

!Pelicula methodsFor: 'setter' stamp: 'Lucas 3/16/2018 14:55'!
ponerNombre: a
	nombre := a.
	! !


!Pelicula methodsFor: 'initialization' stamp: 'Lucas 3/16/2018 15:11'!
initialize
	notas := LinkedList new.! !


Object subclass: #Peliculas
	instanceVariableNames: 'datos'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP0'!
!Peliculas commentStamp: '<historical>' prior: 0!
CLASE PELICULAS!


!Peliculas methodsFor: 'as yet unclassified' stamp: 'Lucas 3/16/2018 14:57'!
agregarConNombre: nom yDirector: dir
	| aux |
	aux := Pelicula new.
	aux ponerNombre: nom.
	aux ponerDirector: dir.
	datos add: aux.! !


!Peliculas methodsFor: 'initialization' stamp: 'Lucas 3/16/2018 14:51'!
initialize
	datos := OrderedCollection new.! !

!Peliculas methodsFor: 'initialization' stamp: 'Lucas 3/16/2018 15:09'!
datos
	^datos! !


Object subclass: #RottenTomatoes
	instanceVariableNames: 'peliculas'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'TP0'!
!RottenTomatoes commentStamp: '<historical>' prior: 0!
CLASE ROTTENTOMATOES!


!RottenTomatoes methodsFor: 'as yet unclassified' stamp: 'Lucas 3/16/2018 15:08'!
calificarPelicula: pel conPuntaje: pun
	peliculas do:[:elemento| (elemento nombre = pel)ifTrue: [elemento agregarPuntaje: pun] ]! !

!RottenTomatoes methodsFor: 'as yet unclassified' stamp: 'Lucas 3/16/2018 16:02'!
peorPelicular
	| aux prom|
	aux := ''.
	prom := 11.
	peliculas do:[:elemento|(elemento puntajePromedio  < prom)ifTrue: 
		[prom := elemento puntajePromedio .
		aux := elemento nombre.]].
	^aux.! !

!RottenTomatoes methodsFor: 'as yet unclassified' stamp: 'Lucas 3/16/2018 21:44'!
puntajeDelDirector: dir
	| aux i |
	aux := 0.
	i := 0.
	peliculas do:[:elemento| (elemento director = dir)ifTrue:[aux :=aux+elemento puntajeAcumulado .
																			i := i+elemento cantidadPuntajes.].  ].
	aux := aux/i.	
	aux := aux truncateTo: 0.01.																			
	(i = 0)ifFalse:[^aux ].
	^i		! !

!RottenTomatoes methodsFor: 'as yet unclassified' stamp: 'Lucas 3/16/2018 16:02'!
mejorPelicular
	| aux prom|
	aux := ''.
	prom := 0.
	peliculas do:[:elemento|	(elemento puntajePromedio > prom)ifTrue: 
		[prom := elemento puntajePromedio .
		aux := elemento nombre.]].
	^aux.! !


!RottenTomatoes methodsFor: 'adding' stamp: 'Lucas 3/16/2018 15:10'!
agregarPeliculas: pel
	peliculas := pel datos.! !


!RottenTomatoes methodsFor: 'initialization' stamp: 'Lucas 3/16/2018 15:04'!
initialize
	peliculas := OrderedCollection new.

! !
